GET /api/v2/StringDefinitions

agco-ats.com

Summary: Get a paged response of Global String Definitions.
Operation ID: StringDefinitions_GetDefinitions
Auth: oauth2
Description

No Documentation Found.

Parameters (10)

descriptionText (string, query, optional)

Optional. The text for which to search in the StringDefinition description field. Only matching objects are returned. Does not filter if no value is provided. Supports beginning and/or ending wildcards.

includeDeletedLanguages (boolean, query, optional)

Optional. Indicates whether to include languages marked as deleted. includeTranslations must be true. Defaults to false.

includeTranslations (boolean, query, optional)

Optional. Indicates whether to include the StringTranslations for the StringDefinition. Defaults to false.

languageIds (string, query, optional)

Optional. A comma-delimited list of language ids. Only StringTranslation objects with a matching language id will be returned. Optional. By default all locales are returned. includeTranslations must be true. The StringDefinition is still returned even if the filtered translations list is empty.

limit (integer, query, optional)

Optional. The page limit. The default page limit is 10. Ignored if 'stringIds' is provided.

matchingTranslationsOnly (boolean, query, optional)

Optional. If false, all translations for returned String Definitions are included. Must be used with 'stringText' provided and 'includeTranslations' = true.

modifiedAfterTimestamp (string, query, optional)

Optional. Return only the StringDefinition objects that have a Timestamp value greater than that provided. This will be an encoded byte array.

stringIds (string, query, optional)

Optional. A comma-delimited list of string ids. Up to 40 string IDs may be provided. May not be used with 'modifiedAfterTimestamp', 'stringText', 'descriptionText', or 'useFullText'.

stringText (string, query, optional)

Optional. The text for which to search in the StringDefinition object’s translations. Only StringDefinition objects for matching StringTranslation objects are returned. Does not filter if no value is provided. Supports beginning and/or ending wildcards. includeTranslations must be true.

useFullText (boolean, query, optional)

Optional. This flag is used to determin whether to use the FullText Search or not.

No probe data for this endpoint yet.